backend = "glx";
vsync = true;
shadow = false;

fading = true;
fade-delta = 5;
fade-in-step = 0.03;
fade-out-step = 0.03;

opacity-rule = [
	"100:class_g = 'i3-frame'"
];

blur-background-exclude = [
	"name        *= 'Screenshot'",
	"class_g     ~= 'slop'",
	"class_g     ~= 'obs'",
	"class_g     ~= 'Peek'",
	"window_type  = 'dock'",
	"window_type  = 'desktop'",
	"window_type  = 'notification'",
	"window_type  = 'tooltip'",
	"window_type  = 'menu'",
	"window_type  = 'popup_menu'",
]

blur-method = "dual_kawase";
blur-strength = 5;

corner-radius = 0;

# avoid GPU artefacts with some drivers
use-damage = true;
